Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface ModelResourceFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ModelResourceFactoryImpl

    public interface ModelResourceFactory

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Model Resource Factory'. Identifies an EMF resource factory implementation

The following features are supported:

- `Class Name`
- `File Type`

See Also:
  `GenctlPackage.getModelResourceFactory()`

Method Summary
`java.lang.String` | `getClassName()` Returns the value of the 'Class Name' attribute
`java.lang.String` | `getFileType()` Returns the value of the 'File Type' attribute
`void` | `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` | `setFileType(java.lang.String value)` Sets the value of the '`File Type`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute. Fully qualified name of an EMF resource factory implementation class

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GenctlPackage.getModelResourceFactory_ClassName()`

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`

### getFileType

    java.lang.String getFileType()

  Returns the value of the 'File Type' attribute. File type to associate with the resource factory

  Returns:
    the value of the 'File Type' attribute.
  See Also:
    `setFileType(String)`, `GenctlPackage.getModelResourceFactory_FileType()`

### setFileType

    void setFileType(java.lang.String value)

  Sets the value of the '`File Type`' attribute.

  Parameters:
    `value` - the new value of the 'File Type' attribute.
  See Also:
    `getFileType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD